Subject: Re: [PATCH v7 0/9] submodule: improve robustness of path handling

From: Jens Lehmann <[email-masked]>
Date: Mon, 28 May 2012 22:07:11 +0200

Am 27.05.2012 17:34, schrieb Jon Seymour:
> This series improves the robustness of path handling by 'git submodule' by:
> 
> * detecting submodule URLs that will result in non-sensical submodule origin URLs
> 
> * improving handling of various kinds of relative superproject origin URLs
> 
> * improving handling of various kinds of denormalized superproject origin URLs

Hmm, this has become a quite invasive patch series. While I bought the
use case of having a superproject with a relative url and was inclined
to accept that it might even not start "./" or "../" (even though that
is a pretty unusual use and can be easily fixed by prepending a "./"),
I'm not sure the in depth check of URLs is worth the code churn. And
especially the high probability of breaking other peoples use cases in
rather subtle ways worry me (this did happen quite often when the
submodule script was changed in the past; as an example take the
windows path issues Johannes already pointed out in his email). And I
can't remember bug reports that people complained about URL problems
due to the issues you intend to fix here, which makes me think they
might be well intended but possibly unnecessary (but my memory might
server me wrong here).

So I'd vote for just fixing the relative submodule path issues and to
not care about the possible issues with URLs. Opinions?

(And patches 6-8 contain changes to test cases other than just changing
test_expect_failure to test_expect_success which makes reviewing this
series unnecessarily hard)